| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::CallMemberMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- CallMemberMap ()
- CallMemberMap (const QMap< uint, uint > &a)
- CallMemberMap & operator= (const QMap< uint, uint > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, uint>, but needed to have a discrete type in the Qt type system.

A mapping from handles to their current state in the call.

## Constructor & Destructor Documentation

Tp::CallMemberMap::CallMemberMap | ( |  | ) | `[inline]`

Tp::CallMemberMap::CallMemberMap | ( | const QMap< uint, uint > & | a | ) | `[inline]`

## Member Function Documentation

CallMemberMap& Tp::CallMemberMap::operator= | ( | const QMap< uint, uint > & | a | ) | `[inline]`